# FIXME: libadns-devel on x86_64
# FIXME: w3c-libwww-devel (as-needed), remove .a from it
Name: liboop
Version: 1.0
Release: alt1.1

Summary: Libraries for low-level event loop management

License: LGPL
Group: System/Libraries
Url: http://www.liboop.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://download.ofb.net/liboop/%name.tar.bz2

Patch0: %name-libwww-fix.patch
Patch1: %name-nolibs.patch
Patch2: %name-as-needed.patch

# Automatically added by buildreq on Tue Dec 27 2005
BuildRequires: gcc-c++ glib2-devel libadns-devel libreadline-devel libssl-devel libstdc++-devel pkg-config tcl-devel w3c-libwww-devel zlib-devel

%description
liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular, multiplexed
applications which may respond to events from several sources. It
replaces the "select() loop" and allows the registration of event
handlers for file and network I/O, timers and signals. Since processes
use these mechanisms for almost all external communication, liboop can
be used as the basis for almost any application.

%package bindings
Summary: liboop bindings for specific libraries
Group: Development/Other
Requires: %name = %version

%description bindings
liboop bindings for specific libraries (dns, glib, readline).

%package binding-tcl
Summary: liboop binding for tcl library
Group: Development/Other
Requires: %name = %version

%description binding-tcl
liboop binding for tcl library.

%package binding-www
Summary: liboop binding for w3c-libwww library
Group: Development/Other
Requires: %name = %version

%description binding-www
liboop binding for w3c-libwww library.

%package devel
Summary: Header files for liboop
Group: Development/Other
Requires: %name = %version

%description devel
liboop is a low-level event loop management library.

This package contains the header files and libraries needed to write
or compile programs that use liboop.

%package bindings-devel
Summary: Header files for liboop binding libraries
Group: Development/Other
Requires: %name-bindings = %version
Requires: %name-devel = %version

%description bindings-devel
liboop is a low-level event loop management library.

This package contains the header files and libraries needed to write
or compile programs that use liboop binding libraries.

%package binding-tcl-devel
Summary: Header file for liboop tcl binding library
Group: Development/Other
Requires: %name-binding-tcl = %version
Requires: %name-devel = %version
Requires: tcl-devel

%description binding-tcl-devel
This package contains the header file needed to write or compile
programs that use liboop tcl binding library.

%package binding-www-devel
Summary: Header file for liboop w3c-libwww binding libraries
Group: Development/Other
Requires: %name-bindings = %version
Requires: %name-devel = %version
Requires: w3c-libwww-devel

%description binding-www-devel
This package contains the header file needed to write or compile
programs that use liboop w3c-libwww binding library.


%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
%patch2

%build
#rm -f missing
#%__libtoolize
#%__aclocal
#%__autoconf
#%__automake
%__autoreconf
%configure --disable-static --with-libwww --without-glib
%make_build

%install
%__make install \
	DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%post bindings -p %post_ldconfig
%postun bindings -p %post_ldconfig

%post binding-tcl -p %post_ldconfig
%postun binding-tcl -p %post_ldconfig

%post binding-www -p %post_ldconfig
%postun binding-www -p %post_ldconfig

%files
%_libdir/liboop.so.*

%files devel
%_libdir/liboop.so
#%_libdir/liboop.la
%_includedir/oop.h
%_includedir/oop-read.h

%files bindings
%_libdir/liboop-adns.so.*
#%_libdir/liboop-glib2.so.*
%_libdir/liboop-rl.so.*

%files binding-tcl
%_libdir/liboop-tcl.so.*

%files binding-www
%_libdir/liboop-www.so.*

%files bindings-devel
%_libdir/liboop-adns.so
#%_libdir/liboop-adns.la
#%_libdir/liboop-glib2.so
#%_libdir/liboop-glib.la
%_libdir/liboop-rl.so
#%_libdir/liboop-rl.la
%_includedir/oop-adns.h
%_includedir/oop-glib.h
%_includedir/oop-rl.h
%_pkgconfigdir/*

%files binding-tcl-devel
%_libdir/liboop-tcl.so
#%_libdir/liboop-tcl.la
%_includedir/oop-tcl.h

%files binding-www-devel
%_libdir/liboop-www.so
#%_libdir/liboop-www.la
%_includedir/oop-www.h

%changelog
* Mon May 29 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt1.1
- fix for as-needed in test compiling
- disable glib build

* Sun Mar 26 2006 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt1
- patch for ld --as-needed 

* Tue Dec 27 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt0.1
- initial build for ALT Linux Sisyphus (spec from PLD)
- disable build with glib
